/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLTableElement_H___INT_
#define __GdomHTMLTableElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLTableElement.h"
G_BEGIN_DECLS
class GDOMHTMLTableElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_TABLE_ELEMENT; }
    GDOMHTMLTableElement(PassRefPtr<WebCore::HTMLTableElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLTableElement_H___INT_*/
